			TITLE	"***** TRSDOS APP *****"

			define  	.startup,space=RAM,ORG=3000h

				.ASSUME		ADL=0
				maclist	ON

				include ".\includes\my_macros.s"
				
				include ".\includes\equates-ASCII.s"
				include ".\includes\equates-eZ80.s"
				
console			equ		0
example_demo	equ		3000h
sqr				equ		255

				org		example_demo
				
				jp		begin_app

my_screen$		db		"Hello World!",CR.asc
				db		"This is an example of Zilog ZDS II using UART0.",CR.asc
				db		CR.asc
				db		"Thank you for trying this demo.",CR.asc,CR.asc,CR.asc
				db		ETX.asc
				
sqrt$			db		"Square root of xxxxx is xxxxx",CR.asc
sqrt			equ		$-6
				db		ETX.asc
				
begin_app		ld		sp,0ffffh

				pump	console,my_screen$,ETX.asc			; Pump screen out UART0.

				ld		b,sqr
my_loop			push	bc

				ld		l,b
				ld		h,0
				ld		de,sqrt$+15				
				call	cvt16_bin2dec				
				ld		hl,sqrt$+15
				call	trim_zeros
				
				pop		bc
				push	bc
				ld		a,b			
				call	Sqrt8								; Calculate square root and leave results in B.
				ld		h,0
				ld		l,b
				ld		de,sqrt
				call	cvt16_bin2dec
				ld		hl,sqrt
				call	trim_zeros

				pump	console,sqrt$,ETX.asc
				
				pop		bc
				djnz	my_loop
				
				halt
				
cvt16_bin2dec	cvt16_bin2dec.mac

				include "includes\my_subroutines.s"
				
				end